﻿using UnityEngine;
using System.Collections;

public class Rotate : MonoBehaviour {

	[SerializeField]
	GameObject _bogusText;

	float _sine = 1f;

	Vector3 _motion;

	void Start () {
		Invoke ("Bogus", 1.5f);

		if(Random.Range(0,1)>0.5f)
			_sine*=-1;

		_motion = new Vector3 (Random.Range (-1f, 1f), Random.Range (-1f, 1f), 0f).normalized;
	}

	void Update () {
		_bogusText.transform.position = Vector3.zero;

		transform.rotation *= Quaternion.Euler (0f, 0f, (Time.deltaTime * 90f * _sine));

		transform.Translate (_motion * Time.deltaTime);
	}
		
	void Bogus()
	{
		_bogusText.SetActive (true);

		Invoke ("HomeFree", 2f);
	}

	void HomeFree()
	{
		Application.LoadLevel ("Title");
	}
}
